Subject: Re: git-gui Error

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 13 Feb 2007 02:45:19 -0500

Martin Koegler <[email-masked]> wrote:
> Starting git-gui without any parameters display an error message instead
> of a usage message:

Starting it with no parameters (`git-gui` or `git gui`) should
work just fine.  I do this all of the time on Mac OS X and Windows,
as it opens a commit window and keeps it running.
 
> Error in startup script: child process exited abnormally
>     while executing
> "close $fd"
>     (procedure "load_all_heads" line 11)
>     invoked from within
> "load_all_heads"
>     invoked from within
> "if {[is_enabled transport]} {
>         load_all_remotes
>         load_all_heads
> 
>         populate_branch_menu
>         populate_fetch_menu
>         populate_push_menu
> }"

According to this backtrace, we were trying to startup the UI
and load the branches, but:

  git for-each-ref --format=%(refname) refs/heads

returned a non-zero exit code or something else with it went wrong.
Is this maybe a brand new repository?  This is most certainly a bug
in git-gui, but I'd like to understand more about the environment
so I can track it down.

-- 
Shawn.